ompi/mca/ptl/sm/ptl_sm_sendfrag.h File Reference.TH "ompi/mca/ptl/sm/ptl_sm_sendfrag.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/ptl/sm/ptl_sm_sendfrag.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include <sys/types.h>\fP
.br
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'mca/ptl/base/ptl_base_sendreq.h'\fP
.br
\fC#include 'mca/ptl/base/ptl_base_sendfrag.h'\fP
.br
\fC#include 'ptl_sm.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_PTL_SM_SEND_FRAG_ALLOC\fP(item, rc)   OMPI_FREE_LIST_GET(&mca_ptl_sm_module.sm_send_frags, item, rc);"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_ptl_sm_send_frag_t\fP \fBmca_ptl_sm_send_frag_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBmca_ptl_sm_send_frag_t\fP)"
.br
.ti -1c
.RI "int \fBmca_ptl_sm_send_frag_init\fP (\fBmca_ptl_sm_send_frag_t\fP *, struct \fBmca_ptl_base_peer_t\fP *, struct \fBmca_ptl_base_send_request_t\fP *, size_t offset, size_t *size, int flags)"
.br
.RI "\fIInitialize a fragment descriptor. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "int mca_ptl_sm_send_frag_init (\fBmca_ptl_sm_send_frag_t\fP *, struct \fBmca_ptl_base_peer_t\fP *, struct \fBmca_ptl_base_send_request_t\fP *, size_t offset, size_t * size, int flags)"
.PP
Initialize a fragment descriptor. 
.PP
frag (IN) Fragment peer (IN) PTL peer addressing information request (IN) Send request offset (IN) Current offset into packed buffer size (IN/OUT) Requested size / actual size returned flags (IN) 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
